# SdFat: ArduinoSdFat/libraries/SdFat/src/SdFat.h File Reference

SdFat.h File Reference

main SdFs include file. More...

`#include "common/SysCall.h"`
`#include "SdCard/SdCard.h"`
`#include "ExFatLib/ExFatLib.h"`
`#include "FatLib/FatLib.h"`
`#include "FsLib/FsLib.h"`
Include dependency graph for SdFat.h:

## Classes

class | SdBase< Vol >
| base SD file system template class. More...
class | SdExFat
| SD file system class for exFAT volumes. More...
class | SdFat32
| SD file system class for FAT volumes. More...
class | SdFile
| FAT16/FAT32 file with Print. More...
class | SdFs
| SD file system class for FAT16, FAT32, and exFAT volumes. More...

## Macros

#define | SD_FAT_VERSION "2.0.0"

## Typedefs

typedef File32 | File
typedef FatFile | SdBaseFile
typedef SdFat32 | SdFat

## Detailed Description

main SdFs include file.

Copyright (c) 2011-2019 Bill Greiman This file is part of the SdFat library for SD memory cards.

MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Macro Definition Documentation

## SD_FAT_VERSION

#define SD_FAT_VERSION "2.0.0"

SdFat version

## Typedef Documentation

## File

typedef File32 File

Select type for File.

## SdBaseFile

typedef FatFile SdBaseFile

Select type for SdBaseFile.

## SdFat

typedef SdFat32 SdFat

Select type for SdFat.